Index: /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 226)
@@ -4,6 +4,6 @@
 ;+
 ;
-; @file_comments 
-; Allows to extract a sub-domain of study by providing parameters 
+; @file_comments
+; Allows to extract a sub-domain of study by providing parameters
 ; needed for drawings (see outputs)
 ;
@@ -12,5 +12,5 @@
 ; @param Z1 {in}{optional}
 ; For a 3d domain whose the horizontal part cover all glam
-; 
+;
 ; @param Z2 {in}{optional}
 ; For a 3d domain whose the horizontal part cover all gphi
@@ -38,11 +38,11 @@
 ;
 ; @keyword FINDALWAYS
-; Force to redefine a box even when none point is find in the box. 
+; Force to redefine a box even when none point is find in the box.
 ; In this case, we select all the grid.
 ;
 ; @keyword GRIDTYPE {type=string or vector}
-; It is a string or a vector of strings containing the grids's name 
-; (Only determined by 'T','U','V','W','F') for which the calculation 
-; must be done. 
+; It is a string or a vector of strings containing the grids's name
+; (Only determined by 'T','U','V','W','F') for which the calculation
+; must be done.
 ;  For example: 'T' or ['T','U']
 ;
@@ -55,27 +55,26 @@
 ; grids.
 ;
-; @keyword INDEX 
-; We activate it if we want that all elements passed in input of domdef 
-; refer to indexes of glam, gphi and gdep arrays rather than to values 
+; @keyword INDEX
+; We activate it if we want that all elements passed in input of domdef
+; refer to indexes of glam, gphi and gdep arrays rather than to values
 ; of these arrays.
 ;
-; @keyword XINDEX 
-; We activate it if we want that all elements passed in input of domdef 
-; and concerning the X dimension refer to indexes of glam arrays rather 
+; @keyword XINDEX
+; We activate it if we want that all elements passed in input of domdef
+; and concerning the X dimension refer to indexes of glam arrays rather
 ; than to values of these arrays.
 ;
-; @keyword YINDEX 
-; We activate it if we want that all elements passed in input of domdef 
-; and concerning the X dimension refer to indexes of gphi arrays rather 
+; @keyword YINDEX
+; We activate it if we want that all elements passed in input of domdef
+; and concerning the X dimension refer to indexes of gphi arrays rather
 ; than to values of these arrays.
-; 
-; @keyword ZINDEX 
-; We activate it if we want that all elements passed in input of domdef 
-; and concerning the X dimension refer to indexes of gdep arrays rather 
+;
+; @keyword ZINDEX
+; We activate it if we want that all elements passed in input of domdef
+; and concerning the X dimension refer to indexes of gdep arrays rather
 ; than to values of these arrays.
 ;
 ; @uses
 ; common.pro
-;
 ;
 ; @history
@@ -123,9 +122,9 @@
 ;
   IF keyword_set(endpoints) THEN BEGIN
-    IF NOT keyword_set(type) THEN BEGIN 
+    IF NOT keyword_set(type) THEN BEGIN
       dummy = report(['If domdef is used do find the box associated' $
                       , 'to endpoints, you must also specify type keyword'])
       return
-    ENDIF 
+    ENDIF
     CASE N_PARAMS() OF
       0:
@@ -137,5 +136,5 @@
     section, BOXZOOM = boxzoom, ENDPOINTS = endpoints, TYPE = type, /ONLYBOX
     return
-  ENDIF   
+  ENDIF
 
 ;-------------------------------------------------------------------
@@ -153,5 +152,5 @@
       END
     ENDCASE
-    RETURN  
+    RETURN
   ENDIF
 ;-------------------------------------------------------------------
@@ -170,21 +169,21 @@
   vert1t = 99999. & vert2t = -99999. & vert1w = 99999. & vert2w = -99999.
 ;
-  IF jpj EQ 1 THEN BEGIN 
+  IF jpj EQ 1 THEN BEGIN
     IF (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1 THEN BEGIN
       glamt = reform(glamt, jpi, jpj, /over)
       gphit = reform(gphit, jpi, jpj, /over)
-    ENDIF 
+    ENDIF
     IF (where(gridtype eq 'U'))[0] NE -1 THEN BEGIN
       glamu = reform(glamu, jpi, jpj, /over)
       gphiu = reform(gphiu, jpi, jpj, /over)
-    ENDIF  
+    ENDIF
     IF (where(gridtype eq 'V'))[0] NE -1 THEN BEGIN
       glamv = reform(glamv, jpi, jpj, /over)
       gphiv = reform(gphiv, jpi, jpj, /over)
-    ENDIF  
+    ENDIF
     IF (where(gridtype eq 'F'))[0] NE -1 THEN BEGIN
       glamf = reform(glamf, jpi, jpj, /over)
       gphif = reform(gphif, jpi, jpj, /over)
-    ENDIF  
+    ENDIF
   ENDIF
 ;
@@ -229,5 +228,5 @@
          AND NOT keyword_set(xindex) AND NOT keyword_set(yindex) AND NOT keyword_set(index) ) THEN BEGIN
     IF N_PARAMS() EQ 0 THEN BEGIN
-; find lon1 and lon2 the longitudinal boudaries of the full domain
+; find lon1 and lon2 the longitudinal boundaries of the full domain
       IF (where(gridtype eq 'T'))[0] NE -1 THEN lon1t = min(glamt, max = lon2t)
       IF (where(gridtype eq 'W'))[0] NE -1 AND (where(gridtype eq 'T'))[0] EQ -1 THEN lon1t = min(glamt, max = lon2t)
@@ -237,5 +236,5 @@
       lon1 = min([lon1t, lon1u, lon1v, lon1f])
       lon2 = max([lon2t, lon2u, lon2v, lon2f])
-; find lat1 and lat2 the latitudinal boudaries of the full domain
+; find lat1 and lat2 the latitudinal boundaries of the full domain
       IF (where(gridtype eq 'T'))[0] NE -1 THEN lat1t = min(gphit, max = lat2t)
       IF (where(gridtype eq 'W'))[0] NE -1 AND (where(gridtype eq 'T'))[0] EQ -1 THEN lat1t = min(gphit, max = lat2t)
@@ -245,5 +244,5 @@
       lat1 = min([lat1t, lat1u, lat1v, lat1f])
       lat2 = max([lat2t, lat2u, lat2v, lat2f])
-    ENDIF ELSE BEGIN 
+    ENDIF ELSE BEGIN
       lon1 = min([x1, x2], max = lon2)
       lat1 = min([y1, y2], max = lat2)
@@ -288,5 +287,5 @@
         IF (dom[0] EQ -1) THEN BEGIN
           IF keyword_set(findalways) THEN BEGIN
-; if t grid parameters alreday defined, we use them... 
+; if t grid parameters alreday defined, we use them...
             CASE 1 OF
               (where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype EQ 'W'))[0] NE -1:BEGIN
@@ -337,10 +336,10 @@
                 firstxv = firstxt & lastxv = lastxt & nxv = nxt
                 firstyv = firstyt & lastyv = lastyt & nyv = nyt
-              END 
+              END
               (where(gridtype eq 'U'))[0] NE -1:BEGIN
                 print, 'WARNING, empty V points box... we use the same index as U points...'
                 firstxv = firstxu & lastxv = lastxu & nxv = nxu
                 firstyv = firstyu & lastyv = lastyu & nyv = nyu
-              END 
+              END
               ELSE:BEGIN
                 print, 'WARNING, empty V points box... we get the neighnors to define a new box...'
@@ -385,15 +384,15 @@
                 firstxf = firstxt & lastxf = lastxt & nxf = nxt
                 firstyf = firstyt & lastyf = lastyt & nyf = nyt
-              END 
+              END
               (where(gridtype eq 'U'))[0] NE -1:BEGIN
                 print, 'WARNING, empty F points box... we use the same index as U points...'
                 firstxf = firstxu & lastxf = lastxu & nxf = nxu
                 firstyf = firstyu & lastyf = lastyu & nyf = nyu
-              END 
+              END
               (where(gridtype eq 'V'))[0] NE -1:BEGIN
                 print, 'WARNING, empty F points box... we use the same index as V points...'
                 firstxf = firstxv & lastxf = lastxv & nxf = nxv
                 firstyf = firstyv & lastyf = lastyv & nyf = nyv
-              END 
+              END
               ELSE:BEGIN
                 print, 'WARNING, empty F points box... we get the neighnors to define a new box...'
@@ -406,5 +405,5 @@
                 RETURN
               END
-            ENDCASE  
+            ENDCASE
           ENDIF ELSE BEGIN
             ras = report('WARNING, The box does not contain any F points...')
@@ -469,5 +468,5 @@
           firstyv = fsty & lastyv = lsty
           nxv = nx & nyv = ny
-        ENDIF         
+        ENDIF
 ; find lon1f, lon2f, lat1f, lat2f, firstxf, firstxf, nxf and nyf
 ; according to x1, x2, y1, y2
@@ -537,5 +536,5 @@
                     print, 'WARNING, empty U points box... we use the same index as T points...'
                     firstyu = firstyt & lastyu = lastyt & nyu = nyt
-                  END 
+                  END
                   ELSE:BEGIN
                     print, 'WARNING, empty U points box... we get the neighnors to define a new box...'
@@ -548,5 +547,5 @@
                     RETURN
                   END
-                ENDCASE 
+                ENDCASE
               ENDIF ELSE BEGIN
                 ras = report('WARNING, The box does not contain any U points...')
@@ -575,9 +574,9 @@
                     print, 'WARNING, empty V points box... we use the same index as T points...'
                     firstyv = firstyt & lastyv = lastyt & nyv = nyt
-                  END 
+                  END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
                     print, 'WARNING, empty V points box... we use the same index as U points...'
                     firstyv = firstyu & lastyv = lastyu & nyv = nyu
-                  END 
+                  END
                   ELSE:BEGIN
                     print, 'WARNING, empty V points box... we get the neighnors to define a new box...'
@@ -589,6 +588,6 @@
                     ENDCASE
                     RETURN
-                  END 
-                ENDCASE 
+                  END
+                ENDCASE
               ENDIF ELSE BEGIN
                 ras = report('WARNING, The box does not contain any V points...')
@@ -617,13 +616,13 @@
                     print, 'WARNING, empty F points box... we use the same index as T points...'
                     firstyf = firstyt & lastyf = lastyt & nyf = nyt
-                  END 
+                  END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
                     print, 'WARNING, empty F points box... we use the same index as U points...'
                     firstyf = firstyu & lastyf = lastyu & nyf = nyu
-                  END 
+                  END
                   (where(gridtype eq 'V'))[0] NE -1:BEGIN
                     print, 'WARNING, empty F points box... we use the same index as V points...'
                     firstyf = firstyv & lastyf = lastyv & nyf = nyv
-                  END 
+                  END
                   ELSE:BEGIN
                     print, 'WARNING, empty F points box... we get the neighnors to define a new box...'
@@ -636,5 +635,5 @@
                     RETURN
                   END
-                ENDCASE 
+                ENDCASE
               ENDIF ELSE BEGIN
                 ras = report('WARNING, The box does not contain any F points...')
@@ -705,5 +704,5 @@
                     print, 'WARNING, empty U points box... we use the same index as T points...'
                     firstxu = firstxt & lastxu = lastxt & nxu = nxt
-                  END 
+                  END
                   ELSE:BEGIN
                     print, 'WARNING, empty U points box... we get the neighnors to define a new box...'
@@ -716,5 +715,5 @@
                     RETURN
                   END
-                ENDCASE 
+                ENDCASE
               ENDIF ELSE BEGIN
                 ras = report('WARNING, The box does not contain any U points...')
@@ -743,9 +742,9 @@
                     print, 'WARNING, empty V points box... we use the same index as T points...'
                     firstxv = firstxt & lastxv = lastxt & nxv = nxt
-                  END 
+                  END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
                     print, 'WARNING, empty V points box... we use the same index as U points...'
                     firstxv = firstxu & lastxv = lastxu & nxv = nxu
-                  END 
+                  END
                   ELSE:BEGIN
                     print, 'WARNING, empty V points box... we get the neighnors to define a new box...'
@@ -757,6 +756,6 @@
                     ENDCASE
                     RETURN
-                  END 
-                ENDCASE 
+                  END
+                ENDCASE
               ENDIF ELSE BEGIN
                 ras = report('WARNING, The box does not contain any V points...')
@@ -785,13 +784,13 @@
                     print, 'WARNING, empty F points box... we use the same index as T points...'
                     firstxf = firstxt & lastxf = lastxt & nxf = nxt
-                  END 
+                  END
                   (where(gridtype eq 'U'))[0] NE -1:BEGIN
                     print, 'WARNING, empty F points box... we use the same index as U points...'
                     firstxf = firstxu & lastxf = lastxu & nxf = nxu
-                  END 
+                  END
                   (where(gridtype eq 'V'))[0] NE -1:BEGIN
                     print, 'WARNING, empty F points box... we use the same index as V points...'
                     firstxf = firstxv & lastxf = lastxv & nxf = nxv
-                  END 
+                  END
                   ELSE:BEGIN
                     print, 'WARNING, empty F points box... we get the neighnors to define a new box...'
@@ -803,6 +802,6 @@
                     ENDCASE
                     RETURN
-                  END 
-                ENDCASE 
+                  END
+                ENDCASE
               ENDIF ELSE BEGIN
                 ras = report('WARNING, The box does not contain any F points...')
@@ -821,11 +820,11 @@
       END
     ENDCASE
-  ENDELSE 
-;-------------------------------------------------------------------
-; The extracted domain is it regular or not? 
+  ENDELSE
+;-------------------------------------------------------------------
+; The extracted domain is it regular or not?
 ;-------------------------------------------------------------------
   CASE 1 OF
     ((where(gridtype eq 'T'))[0] NE -1 OR (where(gridtype eq 'W'))[0] NE -1) AND nxt NE 0 AND nyt NE 0:BEGIN
-; to get faster, we first test the most basic cases befor testing the
+; to get faster, we first test the most basic cases before testing the
 ; full array.
       CASE 0 OF
@@ -908,9 +907,9 @@
         firstzt = domz[0]
         lastzt = domz[nzt-1]
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
         ras = report('WARNING, The box does not contain any T level...')
         firstzt = -1
         lastzt = -1
-      ENDELSE 
+      ENDELSE
     ENDIF
 ; define firstzw, firstzw, nzw
@@ -920,20 +919,20 @@
         lastzw = lastzt
         nzw = nzt
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
         domz = where(gdepw ge vert1 and gdepw le vert2, nzw)
         IF nzw NE 0 THEN BEGIN
           firstzw = domz[0]
           lastzw = domz[nzw-1]
-        ENDIF ELSE BEGIN 
+        ENDIF ELSE BEGIN
           ras = report('WARNING, The box does not contain any W level...')
           firstzw = -1
           lastzw = -1
-        ENDELSE 
-      ENDELSE 
+        ENDELSE
+      ENDELSE
     ENDIF
 ;-------------------------------------------------------------------
 ; vertical domain defined with the Z index
 ;-------------------------------------------------------------------
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     CASE N_PARAMS() OF
       2:fstz = min([x1, x2], max = lstz)
@@ -951,5 +950,5 @@
       vert1t = min(gdept[fstz:lstz], max = vert2t)
       firstzt = fstz & lastzt = lstz & nzt = nz
-    ENDIF      
+    ENDIF
 ; find vert1w, vert2w, firstzw, firstzw, nzw
 ; according to (x1, x2) or (z1, z2)
@@ -957,5 +956,5 @@
       vert1w = min(gdepw[fstz:lstz], max = vert2w)
       firstzw = fstz & lastzw = lstz & nzw = nz
-    ENDIF      
+    ENDIF
     vert1 = min([vert1t, vert1w])
     vert2 = max([vert2t, vert2w])
@@ -965,7 +964,7 @@
   IF NOT keyword_set(key_forgetold) THEN BEGIN
 @updateold
-  ENDIF 
-;-------------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps domdef', systime(1)-tempsun 
+  ENDIF
+;-------------------------------------------------------------------
+  if keyword_set(key_performance) THEN print, 'temps domdef', systime(1)-tempsun
 ;-------------------------------------------------------------------
 
Index: /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 226)
@@ -15,5 +15,5 @@
 ; @examples
 ; Used like if fmask was a known array by substituing fmask by (fmask())
-; For example: Instaed of write fmask[domainef] we have to write (fmask())[domainef]
+; For example: Instead of write fmask[domainef] we have to write (fmask())[domainef]
 ;
 ; @history
@@ -39,5 +39,5 @@
 ;---------------------------------------------------------
   tempsun = systime(1)          ; For key_performance
-; 
+;
   CASE size(tmask, /n_dimensions) OF
     2:res = tmask*shift(tmask, -1, 0)*shift(tmask, 0, -1)*shift(tmask, -1, -1)
@@ -48,6 +48,6 @@
   res[*, jpj-1, *] = fmaskredx
 ;
-  if keyword_set(key_performance) THEN print, 'temps fmask', systime(1)-tempsun 
-  
+  if keyword_set(key_performance) THEN print, 'temps fmask', systime(1)-tempsun
+
   return, res
 end
Index: /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro	(revision 226)
@@ -8,5 +8,5 @@
 ; @categories
 ; Grid
-; 
+;
 ; @param XAXIS
 ;
@@ -68,5 +68,5 @@
    if NOT keyword_set(lasts) then lasts = [jpi-1, jpj-1, jpk-1]
 ;
-; depermination of the grid type and of the point type
+; determination of the grid type and of the point type
 ;
    if keyword_set(pttype) then vargrid = pttype
@@ -129,5 +129,5 @@
          gphiv = gphit+(gphit[0, 1]-gphit[0, 0])/2.
          gphif = gphit+(gphit[0, 1]-gphit[0, 0])/2.
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
          gphiv = gphit
          gphif = gphit
@@ -181,5 +181,5 @@
    e2f = e2t
 ;
-; mask 
+; mask
 ;
    tmask = replicate(1b, jpi, jpj, jpk)
@@ -239,5 +239,5 @@
   IF NOT keyword_set(key_forgetold) THEN BEGIN
    @updateold
-  ENDIF 
+  ENDIF
 ;------------------------------------------------------------
    return
Index: /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro	(revision 226)
@@ -62,5 +62,5 @@
    endif
 ;
-; we get the size of the dimenstion id of this section
+; we get the size of the dimension id of this section
 ;
    dimvar = *top_uvalue[1, findline(top_uvalue, 'dimvar')]
Index: /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 226)
@@ -68,8 +68,8 @@
    jpj = n_elements(yaxis)
 ;
-; depermination of the grid type and of the point type
+; determination of the grid type and of the point type
 ;
 ; low resolution grid: jpi=128, jpj=121 ( x 2), jpk=20
-; 
+;
 ;                0.       1.4         2.8       4.2        5.6
 ;    odd                    T          u          T          u  93.3
@@ -80,6 +80,6 @@
 ;
 ; high resolution grid: jpi=256, jpj=195 ( x 2), jpk=29
-; 
-;                0.       0.7         1.4        2.1        2.8       
+;
+;                0.       0.7         1.4        2.1        2.8
 ;    odd                    T          u          T          u  91.6
 ;    even        T          u          T          u             91.0
Index: /trunk/SRC/ToBeReviewed/HOPE/read_hope.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 226)
@@ -7,5 +7,5 @@
 ;
 ; @param EVENT
-; 
+;
 ;
 ; @returns
@@ -16,6 +16,5 @@
 ;
 ; @examples
-; 
-; 
+;
 ; @history
 ;
@@ -244,13 +243,13 @@
 ; A two elements vector [date1, date2]]
 ; the boundary of the calendar with date1 and date2
-; folowing the syntax yyyymmdd
+; following the syntax yyyymmdd
 ;
 ; @keyword ODDPT
 ; Activate to read only the sections located on ODD
-; points 
+; points
 ;
 ; @keyword EVENPT
 ; Activate to read only the sections located on even
-; points 
+; points
 ;
 ; @keyword ODDEVENPT
@@ -332,14 +331,14 @@
   compile_opt idl2, strictarrsubs
 ;
-@common                         ; usefull only for the definition of iodir 
+@common                         ; usefull only for the definition of iodir
   if n_elements(filename) EQ 0 then filename = isafile(iodirectory = iodir, _extra = ex)
   IF size(filename, /type) NE 7 THEN return, -1
   filename = isafile(filename = filename, iodirectory = iodir, _extra = ex)
 ;
-  cdfid = ncdf_open(filename)       ; id of the netcdf file 
+  cdfid = ncdf_open(filename)       ; id of the netcdf file
   wathinside = ncdf_inquire(cdfid)  ; structure with global informations
-;------------------------------- 
+;-------------------------------
 ;  dimensions
-;------------------------------- 
+;-------------------------------
   namedim = strarr(wathinside.ndims)  ; name of the dimensions
   typedim = strarr(wathinside.ndims)  ; type of the dimensions (x,y,z,t)
@@ -349,5 +348,5 @@
     ncdf_diminq, cdfid, dimiq, name, value
     namedim[dimiq] = name
-    case 1 of 
+    case 1 of
       STRCMP(name, 'lon', 3, /FOLD_CASE):typedim[dimiq] = 'x'
       STRCMP(name, 'lat', 3, /FOLD_CASE):typedim[dimiq] = 'y'
@@ -363,5 +362,5 @@
 ; dimlist: structure which contains the name and the value of each
 ; dimension
-; we suppose that there is always a variable which has the 
+; we suppose that there is always a variable which has the
 ; same name that the dimension and which gives the values of
 ; this dimension
@@ -372,7 +371,7 @@
     dimlist = create_struct(dimlist, namedim[dimiq], value)
   endfor
-;------------------------------- 
+;-------------------------------
 ;  variables
-;------------------------------- 
+;-------------------------------
   namevar = strarr(wathinside.nvars)   ; names of the variables
   ndimsvar = lonarr(wathinside.nvars)  ; number of dim for each variable
@@ -388,5 +387,5 @@
 ; we cut dimvar to select only the interessant part
   dimvar = dimvar[0:max(ndimsvar)-1, *]
-; selection of the data variables which are diffrent from the
+; selection of the data variables which are different from the
 ; dimension variables
 ; we suppose that that data variables are 4D array (with sometime
@@ -412,18 +411,18 @@
   endfor
 ;
-;---------------------------------------------------  
-;---------------------------------------------------  
-;---------------------------------------------------  
+;---------------------------------------------------
+;---------------------------------------------------
+;---------------------------------------------------
 ;  definition of the widget
-;---------------------------------------------------  
-;---------------------------------------------------  
-;---------------------------------------------------  
+;---------------------------------------------------
+;---------------------------------------------------
+;---------------------------------------------------
   base = widget_base(/column)
-;---------------------------------------------------  
-; first base: 
+;---------------------------------------------------
+; first base:
 ;    droplist to select the type of section
 ;    droplist to select the variable
 ;    button to select type of line : odd, even or odd-even
-;---------------------------------------------------  
+;---------------------------------------------------
   base1 = widget_base(base, /row, /frame)
   typechoice = sectype[uniq(sectype, sort(sectype))]
@@ -435,5 +434,5 @@
                     = 0L > (where(typechoice EQ selectedtype))[0]
   ENDIF ELSE selectedtype = typechoice[0]
-; 
+;
   varchoice = namevar[uniq(namevar, sort(namevar))]
   base12 = widget_droplist(base1, title = 'Available data', value = varchoice, uvalue = {name:'var choice'}, uname = 'var choice')
@@ -445,17 +444,17 @@
 ;
   base13 = widget_base(base1, /row, uname = 'linechoicebase')
-;---------------------------------------------------  
+;---------------------------------------------------
 ; base 2: base to select the domain of the odd points
 ;---------------------------------------------------
   base2 = widget_base(base, /column, uname = 'basedomainodd', /frame)
-;---------------------------------------------------  
+;---------------------------------------------------
 ; base 3: base to select the domain of the even points
 ;---------------------------------------------------
   base3 = widget_base(base, /column, uname = 'basedomaineven', /frame)
-;---------------------------------------------------  
+;---------------------------------------------------
 ; base 4: base to select the domain of the odd-even points
 ;---------------------------------------------------
   base4 = widget_base(base, /column, uname = 'basedomainodd-even', /frame)
-;---------------------------------------------------  
+;---------------------------------------------------
 ; base 5: calendar
 ;---------------------------------------------------
@@ -468,9 +467,9 @@
   base51 = cw_calendar(base5, time, uname = 'date1', uvalue = {name:'date1'})
   base52 = cw_calendar(base5, time, uname = 'date2', uvalue = {name:'date2'})
-;---------------------------------------------------  
+;---------------------------------------------------
 ;  base 6: base to select the min, max, ... and others keywords
 ;---------------------------------------------------
   base6 = cw_specifie(base, /column, uname = 'specifie', uvalue = {name:'specifie'})
-;---------------------------------------------------  
+;---------------------------------------------------
 ;  base 7: last base with the action buttons
 ;---------------------------------------------------
@@ -478,7 +477,7 @@
   base71 = widget_button(base7, value = 'Plot', uvalue = {name:'plot'})
   base72 = widget_button(base7, value = 'Cancel', uvalue = {name:'cancel'})
-;---------------------------------------------------  
+;---------------------------------------------------
 ; determination of the selected variable ......
-;---------------------------------------------------  
+;---------------------------------------------------
   goodname = 0 > where(strlowcase(namevar) EQ strlowcase(selectedname))
   goodtype = 0 > where(sectype EQ selectedtype)
@@ -568,8 +567,8 @@
     endif
   ENDIF
-;---------------------------------------------------  
+;---------------------------------------------------
 ; definition of the uvalue of the base which allows to share the
-; variables between programs. 
-;---------------------------------------------------  
+; variables between programs.
+;---------------------------------------------------
   top_uvalue = ptrarr(2, 18, /allocate_heap)
   *top_uvalue[0, 0] = 'type choice' & *top_uvalue[1, 0] = temporary(typechoice)
Index: /trunk/SRC/ToBeReviewed/HOPE/rh_alldomains.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/rh_alldomains.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/HOPE/rh_alldomains.pro	(revision 226)
@@ -43,5 +43,5 @@
    selectedline=(*top_uvalue[1, findline(top_uvalue, 'linetype')])[selected]
 ;
-; we get the size of the dimenstion id of this section
+; we get the size of the dimension id of this section
 ;
    dimvar = *top_uvalue[1, findline(top_uvalue, 'dimvar')]
@@ -85,8 +85,8 @@
          oddsecchoice = oddsecchoice[sortedzdim]
          nothing=widget_droplist(basedomainodd,title = 'number of levels', value = strtrim(sizedims, 2), uvalue = {name:'oddsecchoice'}, uname='oddsecchoice')
-      ENDIF 
+      ENDIF
       domainpart, top_uvalue, basedomainodd, oddsecchoice[0]
       widget_control, basedomainodd, set_uvalue = oddsecchoice
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       nothing=widget_label(basedomainodd, value = ' ', uname = 'title')
       domainpart, top_uvalue, basedomainodd, /destroy
@@ -115,5 +115,5 @@
          evensecchoice = evensecchoice[sortedzdim]
          nothing=widget_droplist(basedomaineven,title = 'number of levels', value = strtrim(sizedims, 2), uvalue = {name:'evensecchoice'}, uname='evensecchoice')
-      ENDIF 
+      ENDIF
       domainpart, top_uvalue, basedomaineven, evensecchoice[0]
       widget_control, basedomaineven, set_uvalue = evensecchoice
@@ -145,5 +145,5 @@
          oddevensecchoice = oddevensecchoice[sortedzdim]
          nothing=widget_droplist(basedomainoddeven,title = 'number of levels', value = strtrim(sizedims, 2), uvalue = {name:'odd-evensecchoice'}, uname='odd-evensecchoice')
-      ENDIF 
+      ENDIF
       domainpart, top_uvalue, basedomainoddeven, oddevensecchoice[0]
       widget_control, basedomainoddeven, set_uvalue = oddevensecchoice
Index: /trunk/SRC/ToBeReviewed/INIT/initncdf.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 226)
@@ -64,5 +64,5 @@
 ;
 ; @restrictions
-; the file must contain an x and an y axis. (1 ou 2 dimentional array)
+; the file must contain an x and an y axis. (1 ou 2 dimensional array)
 ;
 ; @examples
Index: /trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_gribtable.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_gribtable.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/LECTURE/GRIB/read_gribtable.pro	(revision 226)
@@ -83,5 +83,5 @@
 free_lun,lun
 
-; fill up missing varible names
+; fill up missing variable names
 index=WHERE(parmtabl[0,*] EQ '',count)
 IF count GT 0 THEN parmtabl[0,index]='var'+strcompress(index,/rem)
Index: /trunk/SRC/ToBeReviewed/LECTURE/read_ftp.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/read_ftp.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/LECTURE/read_ftp.pro	(revision 226)
@@ -1,10 +1,8 @@
 ;+
-; @file_comments 
-; 
-; 
+; @file_comments
+;
 ; @categories
-; 
-; 
-; @param U 
+;
+; @param U
 ;
 ;
@@ -12,6 +10,5 @@
 ;
 ;
-; @param RES 
-; 
+; @param RES
 ;
 ; @keyword OUT
@@ -19,16 +16,15 @@
 ;
 ; @keyword COUNT
-; Upon return, the number of elements in the result set. 
+; Upon return, the number of elements in the result set.
 ; This is only important when the result set is the empty
 ; set, in which case COUNT is set to zero.
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
 ;
 ;
 ; @history
-; 
+;
 ;
 ; @version
@@ -60,10 +56,8 @@
 end
 ;+
-; @file_comments 
-; 
-; 
+; @file_comments
+;
 ; @categories
-; 
-; 
+;
 ; @param TEXT
 ; ASCII text string containing the message.
@@ -73,13 +67,11 @@
 ;
 ; @param PORT
-; 
+;
 ; @restrictions
-; 
-; 
+;
+;
 ; @examples
 ;
-;
 ; @history
-; 
 ;
 ; @version
@@ -173,5 +165,5 @@
 ;                  10 File(s)      3,618,694 bytes
 ;
-;  These compressed files can cosequently be opened with OPENR and the
+;  These compressed files can consequently be opened with OPENR and the
 ;   /COMPRESSED keyword.
 ;
@@ -181,8 +173,8 @@
 ; $Id$
 ;
-; @todo 
+; @todo
 ; seb: que fait-on de "syntax" au debut du header?
 ; give examples with date in year 0 (should not exists but may happen)
-; 
+;
 ;-
 pro read_ftp, site, files, dir, port, data=data, file=file, user=user, $
